<?php
/**
 * @copyright Gmed Srl
 * @author Sciarrone Riccardo <riccardos@gmed.it>
 *
 * Programma che esegue una chiamata a Orthanc
 */



// Report all errors except E_NOTICE
error_reporting(E_ALL & ~E_NOTICE);


include "./conf/config.inc.php";
include "./include/basic_function.php";
include "./include/dcm_function.php";

if( isset($GLOBALS["db_error"]['default_db']) ){
    echoo("Errore DB: " . $GLOBALS["db_error"]['default_db'] . "\n\n");
}


echoo("INIZIO ELABORAZIONE!");
        
if ( !isset($argv[1]) && !isset($_GET["cmd"])) {
    // NULLA DA elaborare
    echoo("NULLA DA ELABORARE \n");
}

$cmd = isset($argv[1]) ? $argv[1] : $_GET["cmd"];
$cmd = orthanc_url . $cmd;

echoo("\n\ncomando: $cmd\t\t");

// es. '/studies?expand'
$result = call_orthanc($cmd, "CHIAMATA SINGOLA");

echoo("risultato:\t");
echoo($result, TRUE);
echoo("\nFINE ELABORAZIONE\n");



